package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum DataSourceEnum {
    /**
     * 数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入5签收推送
     */

    A("0", "采集"), B("1", "手工录入"), C("2", "Excel导入"), D("3", "扫描仪录入"), E("4", "电子版导入"), F("5", "签收推送"), G("6", "接口录入");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (DataSourceEnum materialEnum : DataSourceEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }

    public String getKey() {
        return key;
    }
}
